Subject: bug#17530: 24.4.50; `package-load-list': incorrect defcustom type

From: Drew Adams <[email-masked]>
Date: Sun, 15 Sep 2019 18:18:19 -0700 (PDT)

> > Isn't "installing" essentially downloading, compiling,
> > and setting up autoloads?  It doesn't imply loading,
> > AFAIK.

N> package-load-list controls the "setting up autoloads" (and load-path)
N> part.

OK.

S> the overwhelmingly common use case is that a user
S> only installs a package that he/she wants to use.

OK.  I'll take your word for it.  But it's not what I
expected.

I'm no expert on package.el or how most people use it.
It seemed odd to me that just installing should, by
default, also automatically load everything installed.
But I guess that's a misunderstanding on my part.

I use `load-path' and `require', and I've put tons of
stuff in my `load-path' that I rarely, if ever, load.
I imagined that many package users would similarly
install stuff they don't want to load systematically.